From f67ae1a9c7eed41c9eb14096cf36a61a72d46396 Mon Sep 17 00:00:00 2001
From: Rong Yan <rongyan236@foxmail.com>
Date: Mon, 20 Jul 2015 03:43:35 -0500
Subject: [PATCH 2/6] configure: add PowerPC LE architecture add macro
 CPU_ENDIAN for Little Endian cpu

---
 configure | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/configure b/configure
index 15b1c91..345e162 100755
--- a/configure
+++ b/configure
@@ -716,7 +716,7 @@ case $host_cpu in
             ASFLAGS="$ASFLAGS -f elf -m amd64"
         fi
         ;;
-    powerpc|powerpc64)
+    powerpc|powerpc64|powerpc64le)
         ARCH="PPC"
         if [ $asm = auto ] ; then
             define HAVE_ALTIVEC
@@ -870,11 +870,13 @@ define STACK_ALIGNMENT $stack_alignment
 ASFLAGS="$ASFLAGS -DSTACK_ALIGNMENT=$stack_alignment"
 
 # skip endianness check for Intel Compiler and MSVS, as all supported platforms are little. each have flags that will cause the check to fail as well
+CPU_ENDIAN="Little Endian"
 if [ $compiler = GNU ]; then
     echo "int i[2] = {0x42494745,0}; double f[2] = {0x1.0656e6469616ep+102,0};" > conftest.c
     $CC $CFLAGS conftest.c -c -o conftest.o 2>/dev/null || die "endian test failed"
     if (${cross_prefix}strings -a conftest.o | grep -q BIGE) && (${cross_prefix}strings -a conftest.o | grep -q FPendian) ; then
         define WORDS_BIGENDIAN
+        CPU_ENDIAN="Big Endian"
     elif !(${cross_prefix}strings -a conftest.o | grep -q EGIB && ${cross_prefix}strings -a conftest.o | grep -q naidnePF) ; then
         die "endian test failed"
     fi
@@ -1392,6 +1394,7 @@ gpl_filters=""
 
 cat > conftest.log <<EOF
 platform:      $ARCH
+Byte Order:    $CPU_ENDIAN
 system:        $SYS
 cli:           $cli
 libx264:       $cli_libx264
-- 
2.1.4

